Bug 1565682 - Should the Fedora gpg keys be in /usr?
Summary: Should the Fedora gpg keys be in /usr?
Keywords:
Status: ASSIGNED
Alias: None
Product: Fedora
Classification: Fedora
Component: fedora-repos
Version: 33
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Mohan Boddu
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-10 14:27 UTC by Pat Riehecky
Modified: 2020-08-11 15:29 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)

Description Pat Riehecky 2018-04-10 14:27:17 UTC
Description of problem:
With the move to make /etc/ more automatically regenerateable, would it make sense to put the repo gpg keys provided by the release under /usr?

Version-Release number of selected component (if applicable):fedora-repos-29-0.4


How reproducible:100%


Steps to Reproduce:
1.Note that the gpg keys provided by fedora-repos are not 'user content'
2.Note that they are in /etc
3.

Actual results:
release provided gpg keys in /etc/

Expected results:
under /usr somewhere

Additional info:

Comment 1 Kevin Fenzi 2018-04-23 21:53:42 UTC
I can't see much case for them ever being changed... so I'd be ok with this change. 

Would you be willing to submit a PR moving them to /usr/share/fedora-repos/ perhaps? 

(at https://pagure.io/fedora-repos ). 

Otherwise someone will get to this sometime...

Comment 2 Pat Riehecky 2018-04-24 15:06:57 UTC
Filed: https://pagure.io/fedora-repos/pull-request/74

Comment 3 Peter Robinson 2018-08-13 08:39:18 UTC
So there's a bunch of things that will need to be changed/checked for this around tools, kickstarts etc so we need to be a little careful.

Comment 4 Jan Kurik 2018-08-14 11:12:42 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 5 Pat Riehecky 2018-08-29 15:27:41 UTC
Perhaps a middle step where the keys are in /usr but soft links sit in /etc ? This should help with the transition for folks.

Comment 6 Ben Cotton 2019-02-19 17:08:34 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 30 development cycle.
Changing version to '30'.

Comment 7 Ben Cotton 2020-04-30 22:18:23 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 8 Edgar Hoch 2020-05-09 23:55:15 UTC
(In reply to Kevin Fenzi from comment #1)
> Would you be willing to submit a PR moving them to /usr/share/fedora-repos/
> perhaps? 

Shouldn't gpg keys go to /usr/share/pki/rpm-gpg/, not to /usr/share/fedora-repos/ ?

Comment 9 Kevin Fenzi 2020-05-10 00:30:57 UTC
Sure, that would work too... would have to co-own /usr/share/pki tho with ca-certificates...

Comment 10 Ben Cotton 2020-08-11 15:29:32 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 33 development cycle.
Changing version to 33.


Note You need to log in before you can comment on or make changes to this bug.